{
  "factory": {
    "id": "wsdl-based-soap-service-public",
    "displayName": "SOAP :: WSDL :: PUBLIC",
    "type": "entaxy.runtime.service",
    "description": "Public WSDL-based SOAP service. For more details see <a target=\"_blank\" href=\"https://docs.entaxy.ru/entaxy-core/${project.version}/core/schema/Soap_services.html\">Entaxy docs</a>",
    "isAbstract": false,
    "parent": "wsdl-based-soap-service",
    "label": "service,soap",
    "category": ""
  },
  "entaxy.runtime.service": {},
  "fields": {
    "operationRouter": {
      "defaultValue": {
        "@RESOURCE": {
          "location": {
            "@CALCULATED": {
              "lazy": false,
              "expression": "${#OWNER#.properties._serviceMetadata.serviceResourcesRoot}/${#OWNER#.properties.port}/operationRouterPublic.xml"
            }
          }        }
      },
      "@TYPEINFO": {
        "location": "${serviceResourcesRoot}/${port}/operationRouter.xml"
      }
    }
  },
  "outputs": {
    "init": {
      "isDefault": true,
      "generator": "",
      "config": {},
      "fields": {
        "generateLoggingKey": {},
        "removeAllHeadersBeforeAnswering": {},
      	"authorizationType": {
      		"required": true,
            "@UI": {
              "manageDisplayBlocksByValue": true
            }
      	}
      }
    }
  }
}
